summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-08-28 14:59:35 +0200
committerJustin Lecher <jlec@gentoo.org>2015-08-28 14:59:41 +0200
commitc3d6591184f4753e5583f4b2a0ebe196c278b4cf (patch)
treece2f6eca869456d26580aca95836ca0c8b212778 /app-shells
parentsci-geosciences/opencpn-plugin-logbookkonni: bump version (diff)
downloadgentoo-c3d6591184f4753e5583f4b2a0ebe196c278b4cf.tar.gz
gentoo-c3d6591184f4753e5583f4b2a0ebe196c278b4cf.tar.bz2
gentoo-c3d6591184f4753e5583f4b2a0ebe196c278b4cf.zip
app-shells/hstr: New package, ebuild written by me for monsieurp
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=527122 Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'app-shells')
-rw-r--r--app-shells/hstr/Manifest1
-rw-r--r--app-shells/hstr/files/hstr-1.17-tinfo.patch48
-rw-r--r--app-shells/hstr/hstr-1.17.ebuild34
-rw-r--r--app-shells/hstr/metadata.xml8
4 files changed, 91 insertions, 0 deletions
diff --git a/app-shells/hstr/Manifest b/app-shells/hstr/Manifest
new file mode 100644
index 00000000000..1e136474aea
--- /dev/null
+++ b/app-shells/hstr/Manifest
@@ -0,0 +1 @@
+DIST hstr-1.17.tar.gz 37289 SHA256 9e4b6e74bb7852945e25727105c5339c49c9ce1218481845c8d0205514d85e70 SHA512 eb89496c8554eb29ebb30430aa01179f7265a8ec15b0b9452f7e3ac4867ae4349e6141e11f0af01a4d15ba06131c18ec9ab760c8e68100fa2b8f2a793b237f9b WHIRLPOOL 2b33f485525b2cb033a82b249976d7c670d8f02948e84e73f350b19bdc955e551014f14ad4cfc845144ff0e0d8c3690c50b4444a414c7909f0106242d13a9cc2
diff --git a/app-shells/hstr/files/hstr-1.17-tinfo.patch b/app-shells/hstr/files/hstr-1.17-tinfo.patch
new file mode 100644
index 00000000000..5c9ea9bab4c
--- /dev/null
+++ b/app-shells/hstr/files/hstr-1.17-tinfo.patch
@@ -0,0 +1,48 @@
+ configure.ac | 22 ++++++++++++----------
+ src/Makefile.am | 2 ++
+ 2 files changed, 14 insertions(+), 10 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 9cf6a53..7367a32 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -18,17 +18,19 @@ AC_PROG_CC
+
+ # Platform specific ncurses check.
+ AC_CANONICAL_HOST
+-AS_CASE([$host_os],
+- [darwin*],
++PKG_CHECK_MODULES([NCURSES], [ncurses], [], [
++ AS_CASE([$host_os],
++ [darwin*],
++ [
++ AC_CHECK_LIB(ncurses, killwchar, [], [AC_MSG_ERROR([Could not find ncurses library])])
++ AC_CHECK_HEADER(curses.h)
++ ],
+ [
+- AC_CHECK_LIB(ncurses, killwchar, [], [AC_MSG_ERROR([Could not find ncurses library])])
+- AC_CHECK_HEADER(curses.h)
+- ],
+- [
+- AC_CHECK_LIB(ncursesw, killwchar, [], [AC_MSG_ERROR([Could not find ncursesw library])])
+- AC_CHECK_HEADER(ncursesw/curses.h)
+- ]
+-)
++ AC_CHECK_LIB(ncursesw, killwchar, [], [AC_MSG_ERROR([Could not find ncursesw library])])
++ AC_CHECK_HEADER(ncursesw/curses.h)
++ ]
++ )
++])
+
+ # Checks for libraries.
+ AC_CHECK_LIB(m, cos, [], [AC_MSG_ERROR([Could not find m library])])
+diff --git a/src/Makefile.am b/src/Makefile.am
+index 5765613..ee411a9 100644
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -15,3 +15,5 @@ hh_SOURCES = \
+ hstr_regexp.c include/hstr_regexp.h \
+ radixsort.c include/radixsort.h \
+ hstr.c
++
++hh_LDADD = $(NCURSES_LIBS)
diff --git a/app-shells/hstr/hstr-1.17.ebuild b/app-shells/hstr/hstr-1.17.ebuild
new file mode 100644
index 00000000000..ae0765f8826
--- /dev/null
+++ b/app-shells/hstr/hstr-1.17.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils
+
+DESCRIPTION="Shell history suggest box - easily view, navigate, search and manage your command history"
+HOMEPAGE="https://github.com/dvorka/hstr http://www.mindforger.com"
+SRC_URI="https://github.com/dvorka/hstr/archive/1.17.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="sys-libs/ncurses:0="
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}"/${P}-tinfo.patch )
+
+DOCS=( CONFIGURATION.md README.md )
+
+src_prepare() {
+ sed \
+ -e 's:-O2::g' \
+ -i src/Makefile.am || die
+ autotools-utils_src_prepare
+}
diff --git a/app-shells/hstr/metadata.xml b/app-shells/hstr/metadata.xml
new file mode 100644
index 00000000000..c1661663322
--- /dev/null
+++ b/app-shells/hstr/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jlec@gentoo.org</email>
+ <name>Justin Lecher</name>
+ </maintainer>
+</pkgmetadata>